footer {
  width: 100%;
  display: flex;
  position: sticky;
  margin: 0;
  padding: 0;
  bottom: 0;
  justify-content: center;
  align-items: center;
  background-color: #333;
  color: white;
}

.footer__contactWrapper {
  height: 3rem;
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-template-rows: 1fr;
  grid-column-gap: 3em;
}

.footer__contactWrapper a {
  width: 100%;
  height: 100%;
  padding: 0 0.5em;
  display: flex;
  justify-content: center;
  align-items: center;
}

.footer__contact-icon {
  width: auto;
  height: 1.5em;
}

.footer__linkedin,
.footer__email {
  -webkit-filter: invert(1);
  filter: invert(1);
}

.footer__linkedin {
  height: 1.4em;
}

.footer__email {
  height: 1.9em;
  padding-top: 0.4em;
}

.footer__emailWrapper:hover,
.footer__linkedinWrapper:hover {
  background-color: var(--clr-orange);
  transition: 1s ease;
}

.footer__gitlabWrapper:hover {
  background-color: white;
  transition: 1s ease;
}

.footer__contactWrapper a:hover .footer__contact-icon {
  transform: scale(1.15);
  transition: 1s ease;
}

@media (max-width: 700px) {
  footer {
    position: fixed;
  }

  .footer__contactWrapper {
    grid-column-gap: 2em;
  }

  .footer__contact-icon {
    height: 1.3em;
    margin: 0.5rem 0;
  }
}

@media (max-width: 480px) {
  footer {
    justify-content: left;
  }

  .footer__contactWrapper {
    grid-column-gap: 1em;
  }
}
